--[[--
	alex/ALA	Please Keep WOW Addon open-source & Reduce barriers for others.
	复用代码请在显著位置标注来源【ALA@网易有爱】
	喜欢加密和乱码的亲，请ALT+F4
--]]--
local ADDON, NS = ...;
_G.__ala_meta__ = _G.__ala_meta__ or {  };
__ala_meta__.misc = NS;
local _G = _G;

do
	if NS.__fenv == nil then
		NS.__fenv = setmetatable({  },
				{
					__index = _G,
					__newindex = function(t, key, value)
						rawset(t, key, value);
						print("ilt assign global", key, value);
						return value;
					end,
				}
			);
	end
	setfenv(1, NS.__fenv);
end

local pGUID = UnitGUID('player');
local _EventHandler = CreateFrame("FRAME");
NS.realmID = GetRealmID();
NS.pGUID = pGUID;


local function PLAYER_ENTERING_WORLD()
	_EventHandler:UnregisterEvent("PLAYER_ENTERING_WORLD");
	if InstLockSV == nil then
		_G.InstLockSV = {
			on = true,
			locked = false,
			realm_timer = {  },
			char_timer = {  },
			pos = { "CENTER", "UIParent", "CENTER", 320, -160, },
		};
	else
		if InstLockSV._version == nil or InstLockSV._version < 20200713.0 then
			wipe(InstLockSV);
			InstLockSV.on = true;
			InstLockSV.locked = false;
			InstLockSV.realm_timer = {  };
			InstLockSV.char_timer = {  };
			InstLockSV.pos = { "CENTER", "UIParent", "CENTER", 320, -160, };
		end
	end
	InstLockSV.realm_timer[NS.realmID] = InstLockSV.realm_timer[NS.realmID] or {
		local_timer = {  },
		manually_timer = {  },
	};
	InstLockSV.char_timer[pGUID] = InstLockSV.char_timer[pGUID] or {  };
	InstLockSV._version = 20200713.0;
	-- if GetLocale() == 'zhCN' or GetLocale == 'zhTW' then
	-- 	LOOT_PROMOTE = "提升为物品分配者";
	-- end
end

_EventHandler:RegisterEvent("PLAYER_ENTERING_WORLD");
_EventHandler:SetScript("OnEvent", PLAYER_ENTERING_WORLD);

